Mail archive
alpine-aports

[alpine-aports] [PATCH] main/weechat: build with ruby plugin and docs, avoid building in packaging step

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 2 Nov 2015 10:46:10 +0100

---
 main/weechat/APKBUILD | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/main/weechat/APKBUILD b/main/weechat/APKBUILD
index cd30991..105bd5d 100644
--- a/main/weechat/APKBUILD
+++ b/main/weechat/APKBUILD
_at_@ -2,18 +2,18 @@
 # Maintainer: Leonardo Arena <rnalrd_at_alpinelinux.org>
 pkgname=weechat
 pkgver=1.3
-pkgrel=2
+pkgrel=3
 pkgdesc="A fast, light, extensible ncurses-based chat client"
 url="http://www.weechat.org"
 arch="all"
 license="GPL3+"
 depends=""
 depends_dev="cmake libintl ncurses-dev gnutls-dev libgcrypt-dev curl-dev
-		aspell-dev lua-dev perl-dev python-dev"
-makedepends="$depends_dev"
+             aspell-dev lua-dev perl-dev python-dev ruby-dev"
+makedepends="$depends_dev asciidoc"
 install=""
-subpackages="$pkgname-dev $pkgname-aspell:_plugin $pkgname-lua:_plugin
-		$pkgname-perl:_plugin $pkgname-python:_plugin"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-aspell:_plugin $pkgname-lua:_plugin
+             $pkgname-perl:_plugin $pkgname-python:_plugin $pkgname-ruby:_plugin"
 source="http://www.weechat.org/files/src/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
_at_@ -26,7 +26,8 @@ build() {
 	cd "$_builddir"
 	mkdir -p build
 	cd build
-	cmake .. -DCMAKE_INSTALL_PREFIX=/usr || return 1
+	cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_MAN=ON || return 1
+	make || return 1
 }
 
 package() {
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 02 2015 - 10:46:10 GMT